import CryptoJS from "crypto-js"
/**
 * AES对称加密 （CBC模式，需要偏移量）
 * @param {Object} params 明文参数
 */
export const encrypt = (str) => {
    let data = str;
    // console.log("加密前 data=" + data);
    let keystring = CryptoJS.MD5("DXNBHKqFeee9kb9H").toString().slice(0,16); // 密钥 长度16
    let iv = ''; // 密钥 长度16 后端默认空
    let key = CryptoJS.enc.Utf8.parse(keystring);
    iv = CryptoJS.enc.Utf8.parse(iv);
    let encrypted =CryptoJS.AES.encrypt(data,key,{
        iv:iv,
        mode:CryptoJS.mode.CBC,
        padding:CryptoJS.pad.Pkcs7
    });
    // console.log("加密后 data=" + encrypted);//加密结果是 1EPf3ZC2j4X2Gj/V+aAXyA==
    return encrypted.toString()
}
export default {
    encrypt
}